PathFactory (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.plugins.ide.idea.model

## Class PathFactory

- java.lang.Object
- - org.gradle.plugins.ide.idea.model.PathFactory

-     public class PathFactory
      extends java.lang.Object

  Path Factory.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PathFactory​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PathFactory` | `addPathVariable​(java.lang.String name, java.io.File dir)` |
    `FilePath` | `path​(java.io.File file)` | Creates a path for the given file.
    `FilePath` | `path​(java.io.File file, boolean useFileScheme)` | Creates a path for the given file.
    `Path` | `path​(java.lang.String url)` | Creates a path for the given URL.
    `Path` | `path​(java.lang.String url, java.lang.String relPath)` | Creates a path for the given URL.
    `FilePath` | `relativePath​(java.lang.String pathVar, java.io.File file)` | Creates a path relative to the given path variable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PathFactory

          public PathFactory​()

  - ### Method Detail

    - #### addPathVariable

          public PathFactory addPathVariable​(java.lang.String name,
                                             java.io.File dir)

    - #### path

          public FilePath path​(java.io.File file)

      Creates a path for the given file.

    - #### path

          public FilePath path​(java.io.File file,
                               boolean useFileScheme)

      Creates a path for the given file.
      Parameters:
        `file` - The file to generate a path for
        `useFileScheme` - Whether 'file://' prefixed URI should be used even for JAR files

    - #### relativePath

          public FilePath relativePath​(java.lang.String pathVar,
                                       java.io.File file)

      Creates a path relative to the given path variable.

    - #### path

          public Path path​(java.lang.String url)

      Creates a path for the given URL.

    - #### path

          public Path path​(java.lang.String url,
                           java.lang.String relPath)

      Creates a path for the given URL.